Create new tag for tracking
Create a new tag on a tracking.
Required fields:
name— tag labelcolor— tag color
Once created, tags can be attached to tracked keywords via POST /serpwatcher/trackings/{tracking_id}/tags/assign.
Authorization
ApiKeyAuth x-access-token<token>
API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.
In: header
Path Parameters
tracking_id*string
Tracking ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api.mangools.com/v3/serpwatcher/trackings/string/tags" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "color": "string" }'{
"user_id": "string",
"tracking_id": "string",
"name": "string",
"color": "string",
"created_at": "string"
}{
"error": {
"type": "AuthError",
"message": "Invalid API Key"
}
}